> For the complete documentation index, see [llms.txt](https://docs.hypertune.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hypertune.com/sdk-reference/serverless-environments.md).

# Serverless environments

Hypertune SDKs have been uniquely architected to work optimally in serverless and edge environments like:

* Vercel deployments
* Cloudflare Workers
* AWS Lambdas
* Google Cloud Functions
* Netlify Functions
* DigitalOcean Functions

Since serverless instances can be frozen between requests, background SDK tasks, like checking for flag updates and flushing logs, aren't guaranteed to execute.

Instead you can [manually check for flag updates](/sdk-reference/get-flag-updates.md#manually-check-for-flag-updates) with the `initIfNeeded` method, while capping the frequency of initialization requests with the `initDataRefreshIntervalMs` option.

And you can [manually flush logs](/sdk-reference/remote-logging.md#manually-flush-logs) with the `flushLogs` method.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hypertune.com/sdk-reference/serverless-environments.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
